Subject: Re: [PATCH 3/6] doc: notes: split out options with negations

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 May 2025 12:11:38 -0700

[email-masked] writes:

> -`--[no-]separator`::
>  `--separator=<paragraph-break>`::
> +`--separator`::
> +`--no-separator`::
>  	Specify a string used as a custom inter-paragraph separator
>  	(a newline is added at the end as needed). If `--no-separator`, no
>  	separators will be added between paragraphs.  Defaults to a blank
>  	line.

OK.

> -`--[no-]stripspace`::
> +`--stripspace`::
> +`--no-stripspace`::
>  	Strip leading and trailing whitespace from the note message.
>  	Also strip out empty lines other than a single line between
>  	paragraphs. Lines starting with `#` will be stripped out

Together with the post context lines, it is unclear what the default
behaviour is for the command.  It is not a new problem, but
hopefully the remaining 3 patches I haven't read would address it?

Let's keep reading.

Thanks.